/* {outputFileName:finding-a-diagnosis-children} */
/* We declare colors in a map as key: value
with the color name as the key and the hex
as the value

And we are goint to use it in _utils.scss */
/*
  This mixin will build the prefix values for the property and value passed in.
  It will also add the property and value without the prefix.
  Example:
    @include build-prefix-values('transition', 'all 1s linear');
*/
/* 
  Example usage:
    .my-class {
      // Default usage
      @include transition();
      // Custom usage
      @include transition('all', 1s, linear);
    }
*/
/* Using @each we create a CSS class for
color and background using the name in the class
and the value as the property value that we need

Ex: .color--white { color: #FFFFFFF; } and
.bg-color--white { background-color: #FFFFFF; } */
.color--governor-bay {
  color: #3d43bf;
}
.bg-color--governor-bay {
  background-color: #3d43bf;
}
.hero--bg-color-governor-bay {
  --hero-bg: #3d43bf;
}
.color--gulf-blue {
  color: #041655;
}
.bg-color--gulf-blue {
  background-color: #041655;
}
.hero--bg-color-gulf-blue {
  --hero-bg: #041655;
}
.color--paris-white {
  color: #c9ded2;
}
.bg-color--paris-white {
  background-color: #c9ded2;
}
.hero--bg-color-paris-white {
  --hero-bg: #c9ded2;
}
.color--light-neptune {
  color: #70a3b8;
}
.bg-color--light-neptune {
  background-color: #70a3b8;
}
.hero--bg-color-light-neptune {
  --hero-bg: #70a3b8;
}
.color--shark {
  color: #212529;
}
.bg-color--shark {
  background-color: #212529;
}
.hero--bg-color-shark {
  --hero-bg: #212529;
}
.color--light-ziggurat {
  color: #b9d7e0;
}
.bg-color--light-ziggurat {
  background-color: #b9d7e0;
}
.hero--bg-color-light-ziggurat {
  --hero-bg: #b9d7e0;
}
.color--white {
  color: #fff;
}
.bg-color--white {
  background-color: #fff;
}
.hero--bg-color-white {
  --hero-bg: #fff;
}
.color--french-lilac {
  color: #ddd0f0;
}
.bg-color--french-lilac {
  background-color: #ddd0f0;
}
.hero--bg-color-french-lilac {
  --hero-bg: #ddd0f0;
}
.color--mine-shaft {
  color: #383838;
}
.bg-color--mine-shaft {
  background-color: #383838;
}
.hero--bg-color-mine-shaft {
  --hero-bg: #383838;
}
.color--moody-blue {
  color: #7179cd;
}
.bg-color--moody-blue {
  background-color: #7179cd;
}
.hero--bg-color-moody-blue {
  --hero-bg: #7179cd;
}
.color--glacier {
  color: #70a3bb;
}
.bg-color--glacier {
  background-color: #70a3bb;
}
.hero--bg-color-glacier {
  --hero-bg: #70a3bb;
}
.color--ziggurat {
  color: rgba(185, 215, 224, 0.451);
}
.bg-color--ziggurat {
  background-color: rgba(185, 215, 224, 0.451);
}
.hero--bg-color-ziggurat {
  --hero-bg: rgba(185, 215, 224, 0.451);
}
.color--black {
  color: #000;
}
.bg-color--black {
  background-color: #000;
}
.hero--bg-color-black {
  --hero-bg: #000;
}
.color--red {
  color: #CE4646;
}
.bg-color--red {
  background-color: #CE4646;
}
.hero--bg-color-red {
  --hero-bg: #CE4646;
}
.color--mystic {
  color: #d4e5db;
}
.bg-color--mystic {
  background-color: #d4e5db;
}
.hero--bg-color-mystic {
  --hero-bg: #d4e5db;
}
.color--nepal {
  color: #8cb5c6;
}
.bg-color--nepal {
  background-color: #8cb5c6;
}
.hero--bg-color-nepal {
  --hero-bg: #8cb5c6;
}
.color--azure {
  color: #007bff;
}
.bg-color--azure {
  background-color: #007bff;
}
.hero--bg-color-azure {
  --hero-bg: #007bff;
}
.color--light-glacier {
  color: #e1e3f3;
}
.bg-color--light-glacier {
  background-color: #e1e3f3;
}
.hero--bg-color-light-glacier {
  --hero-bg: #e1e3f3;
}
.color--pattens-blue {
  color: #dbeaef;
}
.bg-color--pattens-blue {
  background-color: #dbeaef;
}
.hero--bg-color-pattens-blue {
  --hero-bg: #dbeaef;
}
.color--magenta {
  color: #ff00f5;
}
.bg-color--magenta {
  background-color: #ff00f5;
}
.hero--bg-color-magenta {
  --hero-bg: #ff00f5;
}
.color--nickel {
  color: #737373;
}
.bg-color--nickel {
  background-color: #737373;
}
.hero--bg-color-nickel {
  --hero-bg: #737373;
}
.color--lavender {
  color: #b999d9;
}
.bg-color--lavender {
  background-color: #b999d9;
}
.hero--bg-color-lavender {
  --hero-bg: #b999d9;
}
.color--cerulean {
  color: #00A9E0;
}
.bg-color--cerulean {
  background-color: #00A9E0;
}
.hero--bg-color-cerulean {
  --hero-bg: #00A9E0;
}
.mobile--only {
  display: block;
}
@media (min-width: 768px) {
  .mobile--only {
    display: none;
  }
}
.desktop--only {
  display: none;
}
@media (min-width: 1200px) {
  .desktop--only {
    display: block;
  }
}
.diagnosis__children .onset__hpp {
  width: 100%;
  margin-top: 4rem;
}
.diagnosis__children .onset {
  width: 100%;
  background-color: white;
}
.diagnosis__children .onset .button--primary.getting__button {
  justify-content: center;
  width: 100%;
  max-width: 22.625rem;
  margin-right: auto;
  margin-bottom: 6.25rem;
  margin-left: auto;
}
.diagnosis__children .onset .button--primary.getting__button:hover {
  background-color: transparent;
  border: 3px solid #041655;
}
@media (min-width: 992px) {
  .diagnosis__children .onset .button--primary.getting__button {
    max-width: 43.125rem;
    margin-top: 5rem;
  }
}
.diagnosis__children .onset__title {
  font-family: "interstate", sans-serif;
  font-size: 1.125rem;
  font-weight: 700;
  line-height: 1.75rem;
  color: #041655;
  text-align: center;
  text-transform: uppercase;
  letter-spacing: 0.1625rem;
}
@media screen and (min-width: 992px) {
  .diagnosis__children .onset__title {
    margin-top: 5.625rem;
    margin-right: auto;
    margin-left: auto;
    font-size: 1.625rem;
    font-weight: 600;
    line-height: 2rem;
    text-align: center;
    letter-spacing: 0.1625rem;
  }
}
.diagnosis__children .onset__simple_divisor {
  width: 100%;
  max-width: 361px;
  margin-top: 1.5rem;
  margin-right: auto;
  margin-bottom: 2rem;
  margin-left: auto;
  border-color: #041655;
  border-bottom: 4px solid #041655;
}
@media screen and (min-width: 768px) {
  .diagnosis__children .onset__simple_divisor {
    max-width: 40.375rem;
    margin-bottom: 1.25rem;
  }
}
@media screen and (min-width: 992px) {
  .diagnosis__children .onset__simple_divisor {
    max-width: 58.125rem;
    margin-right: auto;
    margin-bottom: 3rem;
    margin-left: auto;
  }
}
.diagnosis__children .onset__grid {
  row-gap: 2.5rem;
  max-width: 22.75rem;
  margin-right: auto;
  margin-left: auto;
  padding-top: 1.875rem;
}
@media screen and (min-width: 768px) {
  .diagnosis__children .onset__grid {
    max-width: 40.25rem;
  }
}
@media screen and (min-width: 992px) {
  .diagnosis__children .onset__grid {
    display: grid;
    grid-template-columns: 1fr;
    align-items: center;
    max-width: 88.125rem;
  }
}
.diagnosis__children .onset__shadow {
  box-shadow: 3px 3px 50px rgba(4, 22, 85, 0.1490196078);
}
@media screen and (min-width: 768px) {
  .diagnosis__children .onset__shadow {
    margin-bottom: 2.5rem;
    padding: 3rem;
  }
}
@media screen and (min-width: 992px) {
  .diagnosis__children .onset__shadow {
    display: grid;
    grid-template-columns: 230px 1fr;
    -moz-column-gap: 1rem;
         column-gap: 1rem;
    align-items: flex-start;
    margin-bottom: 0.5rem;
  }
}
@media screen and (min-width: 1200px) {
  .diagnosis__children .onset__shadow {
    gap: 1.875rem;
  }
}
.diagnosis__children .onset__icon {
  width: 100%;
}
@media screen and (min-width: 992px) {
  .diagnosis__children .onset__icon {
    width: 100%;
  }
}
.diagnosis__children .onset__image {
  width: 11.25rem;
  max-width: 100%;
  margin-right: auto;
  margin-left: auto;
  padding-top: 3.5rem;
}
@media screen and (min-width: 768px) {
  .diagnosis__children .onset__image {
    padding-top: 0;
  }
}
@media screen and (min-width: 992px) {
  .diagnosis__children .onset__image {
    margin-top: 2rem;
  }
}
@media screen and (min-width: 1200px) {
  .diagnosis__children .onset__image {
    width: 100%;
  }
}
.diagnosis__children .onset__content_grid {
  margin-right: auto;
  margin-bottom: 2.5rem;
  margin-left: auto;
  text-align: center;
}
@media screen and (min-width: 768px) {
  .diagnosis__children .onset__content_grid {
    margin-bottom: 0;
    text-align: left;
  }
}
@media screen and (min-width: 992px) {
  .diagnosis__children .onset__content_grid {
    width: 100%;
  }
}
.diagnosis__children .onset__title_card {
  margin-top: 1.875rem;
  margin-bottom: 1.875rem;
  padding-right: 1.875rem;
  padding-left: 1.875rem;
  font-size: 2.1875rem;
  font-weight: 500;
  line-height: 2.8125rem;
  color: #041655;
  letter-spacing: 0.035rem;
}
@media screen and (min-width: 768px) {
  .diagnosis__children .onset__title_card {
    margin-top: 2.25rem;
    text-align: center;
  }
}
@media screen and (min-width: 992px) {
  .diagnosis__children .onset__title_card {
    margin-top: 0;
    margin-bottom: 1.5rem;
    padding-right: 0;
    padding-left: 0;
    text-align: left;
  }
}
.diagnosis__children .onset__text_card {
  max-width: 15rem;
  margin-right: auto;
  margin-left: auto;
  padding-bottom: 2.5rem;
  font-size: 1.125rem;
  font-weight: 500;
  line-height: 1.75rem;
  color: #383838;
  text-align: left;
  letter-spacing: 0.018rem;
}
@media screen and (min-width: 375px) {
  .diagnosis__children .onset__text_card {
    max-width: 19.25rem;
  }
}
@media screen and (min-width: 768px) {
  .diagnosis__children .onset__text_card {
    max-width: 33.0625rem;
    padding-bottom: 0;
  }
}
@media screen and (min-width: 992px) {
  .diagnosis__children .onset__text_card {
    max-width: 61.125rem;
    margin-right: 0;
    margin-left: 0;
    font-size: 1.25rem;
    font-weight: 500;
    font-style: normal;
    font-stretch: normal;
    line-height: 2rem;
    letter-spacing: 0.02rem;
  }
}
.diagnosis__children .onset__italic {
  font-size: 1.125rem;
  font-weight: 500;
  font-style: italic;
  font-stretch: normal;
  line-height: 1.75rem;
  letter-spacing: 0.018rem;
}
@media (min-width: 992px) {
  .diagnosis__children .onset__italic {
    font-size: 1.25rem;
    font-weight: 500;
    font-stretch: normal;
    line-height: 2rem;
    letter-spacing: 0.02rem;
  }
}
.diagnosis__children .onset__text_title {
  max-width: 15rem;
  margin-top: 0;
  margin-right: auto;
  margin-bottom: 1.875rem;
  margin-left: auto;
  font-size: 1.25rem;
  font-weight: 500;
  line-height: 1.6875rem;
  color: #041655;
  text-align: left;
  letter-spacing: 0.024rem;
}
@media screen and (min-width: 375px) {
  .diagnosis__children .onset__text_title {
    max-width: 19.25rem;
  }
}
@media screen and (min-width: 768px) {
  .diagnosis__children .onset__text_title {
    max-width: 33.0625rem;
    margin-top: 1.875rem;
    font-size: 1.25rem;
  }
}
@media screen and (min-width: 992px) {
  .diagnosis__children .onset__text_title {
    max-width: 100%;
    font-size: 1.625rem;
    letter-spacing: 0.026rem;
  }
}
.diagnosis__children .getting__wave_top::before .hpp__getting {
  width: 100%;
}
.diagnosis__children .hpp__getting_background {
  width: 100%;
  padding-top: 3.4375rem;
  padding-bottom: 190px;
  background-color: #c9ded2;
}
@media screen and (min-width: 768px) {
  .diagnosis__children .hpp__getting_background {
    margin-top: -3rem;
    padding-top: 2rem;
  }
}
@media screen and (min-width: 992px) {
  .diagnosis__children .hpp__getting_background {
    margin-top: -1rem;
    padding-top: 7.5rem;
    padding-bottom: 12.5rem;
  }
}
.diagnosis__children .getting__wave_top::before {
  content: "";
  position: relative;
  top: 0.0625rem;
  display: block;
  height: 5rem;
  margin-top: -2.5rem;
  background-image: url("/assets/images/finding-a-diagnosis/children/wave-top-spring-mobile.svg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
@media (min-width: 768px) {
  .diagnosis__children .getting__wave_top::before {
    top: -1rem;
    height: 7.75rem;
    background-image: url("/assets/images/finding-a-diagnosis/children/wave-top-spring-tablet.svg");
  }
}
@media (min-width: 992px) {
  .diagnosis__children .getting__wave_top::before {
    top: 0;
    height: 6vw;
    margin-top: -3.75rem;
    background-image: url("/assets/images/finding-a-diagnosis/children/wave-top-spring-desktop.svg");
  }
}
@media (min-width: 1440px) {
  .diagnosis__children .getting__wave_top::before {
    margin-top: -5rem;
  }
}
@media (min-width: 2200px) {
  .diagnosis__children .getting__wave_top::before {
    margin-top: -6.25rem;
  }
}
.diagnosis__children .getting {
  width: 98%;
  margin-right: auto;
  margin-left: auto;
}
.diagnosis__children .getting__image {
  width: 100%;
  margin-bottom: 2.625rem;
}
.diagnosis__children .getting__icon {
  width: 10.9375rem;
  max-width: 100%;
  margin-right: auto;
  margin-left: auto;
}
@media screen and (min-width: 992px) {
  .diagnosis__children .getting__icon {
    margin-top: 50%;
  }
}
.diagnosis__children .getting__content {
  max-width: 100%;
  color: #041655;
  text-align: center;
}
.diagnosis__children .getting__title {
  max-width: 12ch;
  margin-right: auto;
  margin-left: auto;
  font-size: 2.1875rem;
  font-weight: 500;
  line-height: 3rem;
  letter-spacing: 0.035rem;
}
@media screen and (min-width: 768px) {
  .diagnosis__children .getting__title {
    max-width: -moz-max-content;
    max-width: max-content;
  }
}
@media screen and (min-width: 992px) {
  .diagnosis__children .getting__title {
    max-width: 100%;
    font-size: 3.75rem;
    line-height: 4.875rem;
    text-align: left;
  }
}
.diagnosis__children .getting__text {
  width: 100%;
  margin-right: auto;
  margin-left: auto;
}
.diagnosis__children .getting__paragraph {
  -moz-columns: #041655;
       columns: #041655;
  max-width: 27ch;
  margin-top: 2.5rem;
  margin-right: auto;
  margin-bottom: 0.625rem;
  margin-left: auto;
  font-size: 1.125rem;
  font-weight: 500;
  line-height: 1.75rem;
  text-align: center;
  letter-spacing: 0.018rem;
}
@media screen and (min-width: 768px) and (max-width: 991px) {
  .diagnosis__children .getting__paragraph {
    max-width: 31.625rem;
    margin-top: 2rem;
  }
}
@media screen and (min-width: 992px) {
  .diagnosis__children .getting__paragraph {
    max-width: 58.125rem;
    margin-right: 0;
    margin-left: 0;
    font-size: 1.625rem;
    line-height: 2.375rem;
    text-align: left;
    letter-spacing: 0.026rem;
  }
}
.diagnosis__children .getting__description {
  max-width: 26ch;
  margin-top: 2.5rem;
  margin-right: auto;
  margin-left: auto;
  font-size: 1.125rem;
  font-weight: 500;
  line-height: 1.75rem;
  color: #041655;
  text-align: left;
  letter-spacing: 0.018rem;
}
@media screen and (min-width: 768px) and (max-width: 991px) {
  .diagnosis__children .getting__description {
    max-width: 39.125rem;
  }
}
@media screen and (min-width: 992px) {
  .diagnosis__children .getting__description {
    max-width: 58.125rem;
    margin-right: 0;
    margin-left: 0;
    font-size: 1.25rem;
    line-height: 2rem;
    letter-spacing: 0.02rem;
  }
}
.diagnosis__children .getting__button {
  justify-content: center;
  width: 100%;
  max-width: 22.625rem;
  min-height: 4.375rem;
  margin-top: 2.5rem;
  margin-right: auto;
  margin-left: auto;
  text-transform: uppercase;
  letter-spacing: 0.6px;
}
.diagnosis__children .getting__button:hover {
  background-color: transparent;
  border: 3px solid #041655;
}
@media screen and (min-width: 768px) {
  .diagnosis__children .getting__button {
    max-width: 20.625rem;
  }
}
@media screen and (min-width: 992px) {
  .diagnosis__children .getting__button {
    grid-column: 2/3;
    margin-right: 0;
    margin-left: 0;
  }
}
@media screen and (min-width: 992px) {
  .diagnosis__children .getting {
    display: grid;
    grid-template-columns: 175px 1fr;
    -moz-column-gap: 3.125rem;
         column-gap: 3.125rem;
    align-items: center;
    max-width: 56.25rem;
  }
}
@media screen and (min-width: 1024px) {
  .diagnosis__children .getting {
    max-width: 100%;
  }
}
@media screen and (min-width: 1440px) {
  .diagnosis__children .getting {
    max-width: 85%;
  }
}
.diagnosis__children .testimonial-section.testimonial-section--diagnosis-children .testimonial .testimonial__content {
  padding-top: 2.125rem !important;
  padding-bottom: 5rem !important;
  padding-left: 2.5rem !important;
}
@media screen and (min-width: 768px) {
  .diagnosis__children .testimonial-section.testimonial-section--diagnosis-children .testimonial .testimonial__content {
    padding-top: 2.5rem !important;
    padding-right: 0 !important;
    padding-bottom: 4.375rem !important;
    padding-left: 1.25rem !important;
  }
}
@media screen and (min-width: 1024px) {
  .diagnosis__children .testimonial-section.testimonial-section--diagnosis-children .testimonial .testimonial__content {
    padding-top: 6.875rem !important;
    padding-right: 1.25rem !important;
    padding-bottom: 9.375rem !important;
  }
}
.diagnosis__children .testimonial-section.testimonial-section--diagnosis-children .testimonial .testimonial__quote {
  padding-right: 0;
  padding-left: 0;
}
@media screen and (min-width: 768px) {
  .diagnosis__children .testimonial-section.testimonial-section--diagnosis-children .testimonial .testimonial__quote-symbol {
    margin-bottom: 1.25rem;
  }
}
@media screen and (min-width: 1024px) {
  .diagnosis__children .testimonial-section.testimonial-section--diagnosis-children .testimonial .testimonial__quote-symbol {
    margin-bottom: 2.875rem;
  }
}
@media screen and (min-width: 500px) {
  .diagnosis__children .testimonial-section.testimonial-section--diagnosis-children .testimonial .testimonial__quote {
    max-width: 20ch;
  }
}
@media screen and (min-width: 1024px) {
  .diagnosis__children .testimonial-section.testimonial-section--diagnosis-children .testimonial .testimonial__quote {
    max-width: 29ch;
  }
}
.diagnosis__children .testimonial-section.testimonial-section--diagnosis-children .testimonial .testimonial__name {
  margin-top: 1.6875rem;
  margin-bottom: 1.6875rem;
  padding-top: 0;
}
@media screen and (min-width: 500px) {
  .diagnosis__children .testimonial-section.testimonial-section--diagnosis-children .testimonial .testimonial__name {
    max-width: 23ch;
  }
}
@media screen and (min-width: 768px) {
  .diagnosis__children .testimonial-section.testimonial-section--diagnosis-children .testimonial .testimonial__name {
    margin-bottom: 2.6875rem;
  }
}
@media screen and (min-width: 1024px) {
  .diagnosis__children .testimonial-section.testimonial-section--diagnosis-children .testimonial .testimonial__name {
    max-width: unset;
    margin-top: 3.5625rem;
    margin-bottom: 3.125rem;
  }
}
.diagnosis__children .testimonial-section.testimonial-section--diagnosis-children .testimonial .testimonial__cta {
  max-width: 28ch;
  margin-top: 0;
  margin-bottom: 0;
  font-size: 1.125rem;
  line-height: 1.8125rem;
}
@media screen and (min-width: 1024px) {
  .diagnosis__children .testimonial-section.testimonial-section--diagnosis-children .testimonial .testimonial__cta {
    max-width: 54ch;
    font-size: 1.25rem;
    line-height: 2rem;
  }
}
@media screen and (min-width: 1024px) {
  .diagnosis__children .testimonial-section.testimonial-section--diagnosis-children {
    grid-template-columns: minmax(0, 50%) minmax(0, 50%);
  }
}
@media screen and (min-width: 1456px) {
  .diagnosis__children .testimonial-section.testimonial-section--diagnosis-children {
    grid-template-columns: minmax(0, 41.67%) minmax(0, 58.33%);
  }
}
.diagnosis__children .cta__section {
  margin-top: -2.5rem;
}
@media (min-width: 992px) {
  .diagnosis__children .cta__section {
    margin-top: -3.75rem;
  }
}
@media (min-width: 1440px) {
  .diagnosis__children .cta__section {
    margin-top: -5rem;
  }
}
@media (min-width: 2000px) {
  .diagnosis__children .cta__section {
    margin-top: -6.25rem;
  }
}